Vinix· docs
API referenceCore APICall ControlTemporal Rules

Patch TemporalRule

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
PATCH
/accounts/{account_id}/temporal_rules/{temporal_rule_id}

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

temporal_rule_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/accounts/string/temporal_rules/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "cycle": "date",
    "days": [
      1
    ],
    "enabled": true,
    "flags": [
      "string"
    ],
    "interval": 1,
    "month": 1,
    "name": "string",
    "ordinal": "every",
    "start_date": 62586115200,
    "time_window_start": 0,
    "time_window_stop": 0,
    "wdays": [
      "monday"
    ]
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}